Page MenuHomePhabricator

VisualEditor "beta" appended label causes edit tab to flicker
Closed, ResolvedPublic0 Story Points

Description

The word "beta" in superscript is drawn after the tabs have rendered, causing the tabs to shift and flicker.

Event Timeline

ori created this task.Feb 16 2015, 6:52 PM
ori raised the priority of this task from to Needs Triage.
ori updated the task description. (Show Details)
ori added a subscriber: ori.
Restricted Application added a project: VisualEditor. · View Herald TranscriptFeb 16 2015, 6:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Catrope set Security to None.
ori assigned this task to Krinkle.Feb 17 2015, 7:20 PM
Jdforrester-WMF renamed this task from VisualEditor beta feature on enwiki causes edit tab to flicker to VisualEditor "beta" appended label causes edit tab to flicker.Feb 17 2015, 11:10 PM
Jdforrester-WMF triaged this task as Lowest priority.
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.

@matmarex, this is not quite the same phenomenon I observed in T89892. On my setup (Chrome/Ubuntu), the "beta" suffix (both on the tab and the section links) shows up initially in regular font size, and then is replaced with the superscript version. I don't see the edit tab jumping around as in the animation. Probably same root cause, but wanted to point out the difference, and clarify that it applies to the section edit links as well.

Eloquence raised the priority of this task from Lowest to Low.Feb 19 2015, 2:13 AM
Eloquence moved this task from Freezer to TR6: Visual diffs on the VisualEditor board.
Jdforrester-WMF removed Krinkle as the assignee of this task.Feb 21 2015, 12:19 AM

Change 112590 had a related patch set uploaded (by Jforrester):
Disable 'beta' label in tab for the VE opt-in wiki (enwiki)

https://gerrit.wikimedia.org/r/112590

Krenair added a subscriber: Krenair.Mar 9 2015, 7:51 PM

Change 112590 merged by jenkins-bot:
Disable 'beta' label in tab for the VE opt-in wiki (enwiki)

https://gerrit.wikimedia.org/r/112590

Jdforrester-WMF closed this task as Resolved.Mar 10 2015, 3:46 PM
Jdforrester-WMF moved this task from Nominated to Done on the VisualEditor 2014/15 Q3 blockers board.